Home » MODDING HQ 1.13 » v1.13 Bug Reports » Jagged Alliance 2 1.13 on Linux with WINE
Jagged Alliance 2 1.13 on Linux with WINE[message #344723] Sat, 26 March 2016 18:03 Go to next message
breversa

 
Messages:104
Registered:November 2010
Hello everyone,

I'm trying to give JA2 1.13 another go on my Linux computer running OpenSUSE 42.1 64 bits.

I've been able to run the game using WINE in the past... but no today. Here's what I did :

- Fresh install of vanilla JA2 in a directory without space in the path
- Run ja2.exe : game starts fine
- Convert all filenames to lowercase
- Download then extracted in a new location the latest official 1.13 installer from http://ja2v113.pbworks.com/w/page/4218334/Downloads (Build: 7435, 28 August 2014)
- Convert all filenames to lowercase
- Copy the 1.13 files onto the vanilla install
- Run ja2.exe : encounter the following error :

JA2 Fatal Error

File : .\sgp.cpp
Line : 761
Location : InitializeStandardGamingPlatform
 Initializing Virtual File System failed


Can anyone help me ?

(I'll also need a way to run the zPatch.bat update script, but there's always the possibility to rewrite it myself in bash)

[Updated on: Sat, 26 March 2016 18:04]

Re: Jagged Alliance 2 1.13 on Linux with WINE[message #344726 is a reply to message #344723] Sat, 26 March 2016 20:27 Go to previous messageGo to next message
edmortimer

 
Messages:1200
Registered:January 2015
Location: Home Free
Quote:
Initializing Virtual File System failed


I never could get the VFS to run under Linux (Xubuntu 14.10, 15.04, & 15.10).




Arulco Vacations Blog

Arulco Vacations Bears Pit Forum


Re: Jagged Alliance 2 1.13 on Linux with WINE[message #344730 is a reply to message #344726] Sat, 26 March 2016 22:50 Go to previous messageGo to next message
tais

 
Messages:808
Registered:February 2008
Location: NL
1.13 runs like a charm here, Fedora 23 x64, wine 1.9.5 and totally no changes to anything.
The fact that you get a VFS error is caused by the lowercasing of all filenames imo, I never touch anything, just grab a clean ja2, drop 1.13 over that and go play!
I think VFS already fails at ja2.ini wanting a vfs_config.JA2113.ini file and you renaming it to vfs_config.ja2113.ini probably

[Updated on: Sat, 26 March 2016 22:52]




IRC, pretty much the place to be! | Now also on Discord!


Re: Jagged Alliance 2 1.13 on Linux with WINE[message #344751 is a reply to message #344730] Sun, 27 March 2016 18:32 Go to previous messageGo to next message
breversa

 
Messages:104
Registered:November 2010
@tais :

You're right. The lowercase conversion was needed previously, but not any longer : I tried a standard installation (= without lowercase conversion) and it worked like a charm !

How did you apply the lastest zPatch.bat update though ?
Re: Jagged Alliance 2 1.13 on Linux with WINE[message #344760 is a reply to message #344751] Sun, 27 March 2016 23:07 Go to previous message
tais

 
Messages:808
Registered:February 2008
Location: NL
zPatch.bat update?
I dont know what you mean tbh..

EDIT: Ah! you mean the stable patching mechanism... hah, just get a recent development build, they are as stable and probably even more stable than that ancient release!

[Updated on: Sun, 27 March 2016 23:09]




IRC, pretty much the place to be! | Now also on Discord!


Previous Topic: Inventory Bugs
Next Topic: Long run bug
Goto Forum:
  


Current Time: Thu Apr 18 21:46:02 EEST 2019

Total time taken to generate the page: 0.01986 seconds